=== debian/control ===
Source: stlink
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper (>= 9), cmake, libusb-1.0-0-dev, libgtk-3-dev
Standards-Version: 4.1.3
Section: electronics
Homepage: https://github.com/texane/stlink
Vcs-Git: https://github.com/bluca/stlink.git
Vcs-Browser: https://github.com/bluca/stlink

Package: libstlink-dev
Section: libdevel
Architecture: any
Depends: libstlink1 (= ${binary:Version}), ${misc:Depends}
Description: OpenSource ST-Link tools replacement.
 Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
 STLINKv1 and STLINKv2 are supported.
 .
 This package contains the development files for stlink.

Package: libstlink1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSource ST-Link tools replacement.
 Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
 STLINKv1 and STLINKv2 are supported.
 .
 This package contains the shared library for stlink.

Package: stlink-tools
Architecture: any
Depends: libstlink1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenSource ST-Link tools replacement.
 Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
 STLINKv1 and STLINKv2 are supported.
 .
 This package contains commandline utilities for stlink, and modprobe and
 udev rules.

Package: stlink-gui
Architecture: any
Depends: libstlink1 (= ${binary:Version}), stlink-tools (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: OpenSource ST-Link tools replacement.
 Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
 STLINKv1 and STLINKv2 are supported.
 .
 This package contains a GUI tool for stlink.
