=== include/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 	"${CMAKE_BINARY_DIR}/include/stlink/*.h"
 )
 install(FILES ${CMAKE_SOURCE_DIR}/include/stlink.h
-	DESTINATION include/${CMAKE_LIBRARY_PATH}
+    DESTINATION ${STLINK_INCLUDE_PATH}
 )
 install(FILES ${STLINK_HEADERS}
-	DESTINATION include/${CMAKE_LIBRARY_PATH}/stlink
+    DESTINATION ${STLINK_INCLUDE_PATH}/stlink
 )
