=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libusb-1.0-0-dev, libgtk-3-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Section: electronics
 Homepage: https://github.com/texane/stlink
-Vcs-Git: https://github.com/bluca/stlink.git
+Vcs-Git: https://github.com/bluca/stlink.git -b debian
 Vcs-Browser: https://github.com/bluca/stlink
 
 Package: libstlink-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: libstlink1 (= ${binary:Version}), ${misc:Depends}
 Description: OpenSource ST-Link tools replacement.
  Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
@@ -20,7 +22,8 @@
 
 Package: libstlink1
 Section: libs
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenSource ST-Link tools replacement.
  Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
@@ -29,7 +32,7 @@
  This package contains the shared library for stlink.
 
 Package: stlink-tools
-Architecture: any
+Architecture: linux-any
 Depends: libstlink1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: OpenSource ST-Link tools replacement.
  Flashing tools for STMicroelectronics STM32VL and STM32L. The transport layers
@@ -39,7 +42,7 @@
  udev rules.
 
 Package: stlink-gui
-Architecture: any
+Architecture: linux-any
 Depends: libstlink1 (= ${binary:Version}), stlink-tools (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Description: OpenSource ST-Link tools replacement.
