=== debian/changelog ===
stlink (1.6.0+ds-1) unstable; urgency=medium

  * Merge tag 'v1.6.0' into debian
  * Bump Standards-Version to 4.5.0, no changes.
  * Update libstlink1 symbols file for 1.6.0.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2020 22:08:33 +0000
