=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-    -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
     -DSTLINK_UDEV_RULES_DIR='/lib/udev/rules.d'
