=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/texane/stlink/tags .*/v?(\d\S+)\.tar\.gz
