## stlink 1.7.0%2Bds

=== debian/changelog ===
stlink (1.7.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 23 Sep 2022 11:15:33 +0100

stlink (1.7.0+ds-1) unstable; urgency=medium

  * Merge tag 'v1.7.0' into debian. (Closes: #984356)
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump debhelper-compat to 13, no changes.
  * Update install files, paths have been fixed upstream.
  * Update symbols file for 1.7.0.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 14:23:25 +0100

stlink (1.6.1+ds-3) unstable; urgency=medium

  * Add cross.patch to fix cross-compilation. Thanks Helmut! (Closes:
    #973339)

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Oct 2020 18:06:39 +0000

stlink (1.6.1+ds-2) unstable; urgency=medium

  * Update d/copyright to remove GPL-2+ stanza about flashloaders
  * Update upstream URLs for new Github org
  * Patch CMake's hard-coded define of XML gui file location (Closes:
    #963219)

 -- Luca Boccassi <bluca@debian.org>  Sun, 21 Jun 2020 13:41:37 +0100
